Bug 1730021 - Unable to set ownership of instance/vm/etc.
Summary: Unable to set ownership of instance/vm/etc.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.11.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.11.0
Assignee: Martin Maroši
QA Contact: Tasos Papaioannou
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-15 15:28 UTC by Tasos Papaioannou
Modified: 2019-12-13 14:54 UTC (History)
6 users (show)

Fixed In Version: 5.11.0.15
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-13 14:54:22 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
tail of production.log and evm.log (14.81 KB, text/plain)
2019-07-17 14:24 UTC, Tasos Papaioannou
no flags Details

Description Tasos Papaioannou 2019-07-15 15:28:10 UTC
Description of problem:

When trying to change the user or group on the 'Set Ownership' for virtual machines, instances, etc.


Version-Release number of selected component (if applicable):

5.11.0.14

Works as expected on 5.11.0.13.

How reproducible:

100%

Steps to Reproduce:
1.) Select a user or group on the 'Set Ownership for Virtual Machine' page.
2.) See 'Please choose' as the selected option instead of the actual user or group name.
3.) Click 'Submit' and verify that the change is not successful.

Actual results:

Unable to change ownership of VM, instance, service, image, catalog item, or template.

Expected results:

Successful user or group ownership change.

Additional info:

Comment 4 Tasos Papaioannou 2019-07-17 14:24:33 UTC
Created attachment 1591433 [details]
tail of production.log and evm.log

Comment 9 CFME Bot 2019-07-18 10:06:48 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/94b1a7ced22477b32b41b057090c6ec51571006b
commit 94b1a7ced22477b32b41b057090c6ec51571006b
Author:     Martin Marosi <marvusm.mmi@gmail.com>
AuthorDate: Thu Jul 18 04:25:28 2019 -0400
Commit:     Martin Marosi <marvusm.mmi@gmail.com>
CommitDate: Thu Jul 18 04:25:28 2019 -0400

    Fixed select component in forms

    fixes: https://bugzilla.redhat.com/show_bug.cgi?id=1730021

 package.json | 4 +-
 1 file changed, 2 insertions(+), 2 deletions(-)

Comment 10 Tasos Papaioannou 2019-07-19 16:57:36 UTC
Verified on 5.11.0.15.


Note You need to log in before you can comment on or make changes to this bug.